rte_flow_action_indirect_list(3)

NAME
rte_flow_action_indirect_list

SYNOPSIS

#include <rte_flow.h>

  Data Fields

struct rte_flow_action_list_handle * handle
const void ** conf

Detailed Description

Warning
    EXPERIMENTAL: this API may change without prior notice.

Configure INDIRECT_LIST flow action.

See also
    RTE_FLOW_ACTION_TYPE_INDIRECT_LIST

Definition at line 6694 of file rte_flow.h.

Field Documentation

  struct rte_flow_action_list_handle* handle
Indirect action list handle

Definition at line 6696 of file rte_flow.h.

  const void** conf
Flow mutable configuration array. NULL if the handle has no flow mutable configuration update. Otherwise, if the handle was created with list A1 / A2 .. An / END size of conf is n. conf[i] points to flow mutable update of Ai in the handle actions list or NULL if Ai has no update.

Definition at line 6705 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.